## org.flexdock.plaf.theme
Class UIFactory

    java.lang.Object
      org.flexdock.plaf.theme.UIFactory

All Implemented Interfaces:
  XMLConstants

    public class UIFactory

extends java.lang.Object
implements XMLConstants

Author:
  Christopher Butler

Field Summary
`static java.lang.String` `BUTTON_KEY`
`static java.lang.String` `DEFAULT`
`static java.lang.String` `THEME_KEY`
`static java.lang.String` `TITLEBAR_KEY`
`static java.lang.String` `VIEW_KEY`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`UIFactory()`

Method Summary
`static Theme` `createTheme(java.util.Properties p)`
`static ButtonUI` `getButtonUI(java.util.Properties p)`
`static ButtonUI` `getButtonUI(java.lang.String name)`
`static Theme` `getTheme(java.lang.String name)`
`static TitlebarUI` `getTitlebarUI(java.util.Properties p)`
`static TitlebarUI` `getTitlebarUI(java.lang.String name)`
`static ViewUI` `getViewUI(java.util.Properties p)`
`static ViewUI` `getViewUI(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

See Also:
  Constant Field Values

### THEME_KEY

    public static final java.lang.String THEME_KEY

See Also:
  Constant Field Values

### VIEW_KEY

    public static final java.lang.String VIEW_KEY

See Also:
  Constant Field Values

### TITLEBAR_KEY

    public static final java.lang.String TITLEBAR_KEY

See Also:
  Constant Field Values

### BUTTON_KEY

    public static final java.lang.String BUTTON_KEY

See Also:
  Constant Field Values

Constructor Detail

### UIFactory

    public UIFactory()

Method Detail

### getViewUI

    public static ViewUI getViewUI(java.lang.String name)

### getViewUI

    public static ViewUI getViewUI(java.util.Properties p)

### getTitlebarUI

    public static TitlebarUI getTitlebarUI(java.lang.String name)

### getTitlebarUI

    public static TitlebarUI getTitlebarUI(java.util.Properties p)

### getButtonUI

    public static ButtonUI getButtonUI(java.lang.String name)

### getButtonUI

    public static ButtonUI getButtonUI(java.util.Properties p)

### getTheme

    public static Theme getTheme(java.lang.String name)

### createTheme

    public static Theme createTheme(java.util.Properties p)